summaryrefslogtreecommitdiffstatsabout
diff options
context:
space:
mode:
authorTomasz Zarna2012-01-20 18:15:03 (EST)
committer Matthias Sohn2012-01-20 18:15:03 (EST)
commit3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e (patch)
tree36f8a887a7d63ee39a6c7ad0abd35a9644d01948
parent97210fd6db864026b8745003ea999eb5501aecb7 (diff)
downloadjgit-3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e.zip
jgit-3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e.tar.gz
jgit-3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e.tar.bz2
Workaround incompatible refactoring in Jetty 7.6.0refs/changes/69/4969/2
In Jetty 7.6 package org.eclipse.jetty.http.security was renamed to org.eclipse.jetty.util.security [1] breaking compatibility. Compare docs for the package in 7.5.4 [2] and missing part in 7.6.0 [3]. To fix until we switch to Jetty 8, restrict the maximum version to 7.6.0 exclusive. [1] http://dev.eclipse.org/mhonarc/lists/jetty-dev/msg01175.html [2] http://download.eclipse.org/jetty/7.5.4.v20111024/apidocs/ [3] http://download.eclipse.org/jetty/7.6.0.RC4/apidocs/ Change-Id: I82b107ec76e66367e55e2cc20233a7924bf7be9f Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
-rw-r--r--org.eclipse.jgit.http.test/META-INF/MANIFEST.MF32
-rw-r--r--org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF26
2 files changed, 29 insertions, 29 deletions
diff --git a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
index 3960576..5aa1db0 100644
--- a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
@@ -8,25 +8,26 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Import-Package: javax.servlet;version="[2.5.0,3.0.0)",
javax.servlet.http;version="[2.5.0,3.0.0)",
- org.eclipse.jetty.continuation;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.http;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.http.security;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.io;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.security;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.security.authentication;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server.handler;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server.nio;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.servlet;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.component;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.log;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.thread;version="[7.1.0,8.0.0)",
+ org.eclipse.jetty.continuation;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.http;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.http.security;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.io;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.security;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.security.authentication;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server.handler;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server.nio;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.servlet;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.component;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.log;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.thread;version="[7.1.0,7.6.0)",
org.eclipse.jgit;version="[1.3.0,1.4.0)",
org.eclipse.jgit.errors;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server.glue;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server.resolver;version="[1.3.0,1.4.0)",
org.eclipse.jgit.junit;version="[1.3.0,1.4.0)",
+ org.eclipse.jgit.junit.http;version="[1.3.0,1.4.0)",
org.eclipse.jgit.lib;version="[1.3.0,1.4.0)",
org.eclipse.jgit.nls;version="[1.3.0,1.4.0)",
org.eclipse.jgit.revwalk;version="[1.3.0,1.4.0)",
@@ -34,6 +35,5 @@ Import-Package: javax.servlet;version="[2.5.0,3.0.0)",
org.eclipse.jgit.transport;version="[1.3.0,1.4.0)",
org.eclipse.jgit.transport.resolver;version="[1.3.0,1.4.0)",
org.eclipse.jgit.util;version="[1.3.0,1.4.0)",
- org.eclipse.jgit.junit.http;version="[1.3.0,1.4.0)",
- org.junit;version="[4.0.0,5.0.0)",
- org.hamcrest.core;version="[1.1.0,2.0.0)"
+ org.hamcrest.core;version="[1.1.0,2.0.0)",
+ org.junit;version="[4.0.0,5.0.0)"
diff --git a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
index a7cab1d..0b75bf9 100644
--- a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
@@ -9,19 +9,19 @@ Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Import-Package: javax.servlet;version="[2.5.0,3.0.0)",
javax.servlet.http;version="[2.5.0,3.0.0)",
- org.eclipse.jetty.continuation;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.http;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.http.security;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.io;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.security;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.security.authentication;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server.handler;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server.nio;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.servlet;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.component;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.log;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.thread;version="[7.1.0,8.0.0)",
+ org.eclipse.jetty.continuation;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.http;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.http.security;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.io;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.security;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.security.authentication;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server.handler;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server.nio;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.servlet;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.component;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.log;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.thread;version="[7.1.0,7.6.0)",
org.eclipse.jgit.errors;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server.resolver;version="[1.3.0,1.4.0)",